al_ustr_get_next(3)

NAME

al_ustr_get_next - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int32_t al_ustr_get_next(const ALLEGRO_USTR *us, int *pos)

DESCRIPTION

Find the code point in us beginning at byte offset *pos, then advance to the next code point.

On success return the code point value. If pos was out of bounds (e.g. past the end of the string), return -1. On an error, such as an invalid byte sequence, return -2. As with al_ustr_next(3), invalid byte sequences may be skipped while advancing.

SEE ALSO

al_ustr_get(3), al_ustr_prev_get(3)